SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression 1.1.1

dotnet add package SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression --version 1.1.1
NuGet\Install-Package SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression -Version 1.1.1
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression" Version="1.1.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression --version 1.1.1
#r "nuget: SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression, 1.1.1"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression as a Cake Addin
#addin nuget:?package=SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression&version=1.1.1

// Install SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression as a Cake Tool
#tool nuget:?package=SvSoft.Analyzers.ClosedTypeHierarchyDiagnosticSuppression&version=1.1.1

Suppresses exhaustiveness warnings of switch statement and switch expressions when all cases of a "closed type hierarchy" are covered. See project URL for details. It suppresses IDE0010, IDE0072 and CS8509. It is NRT-aware.

There are no supported framework assets in this package.

Learn more about Target Frameworks and .NET Standard.

  • .NETStandard 2.0

    • No dependencies.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.1.1 8 1/31/2023
1.1.1-rc.1 7 1/31/2023
1.1.0 241 11/13/2022
1.0.1 500 7/16/2022
1.0.0 246 7/11/2022